%define major        9
%define libname      %mklibname f2fs %{major}

%define format_major 8
%define libformat    %mklibname f2fs_format %{format_major}

%define devname      %mklibname f2fs -d

Name:           f2fs-tools
Version:        1.15.0
Release:        %mkrel 1
Summary:        Utilities for the Flash-friendly Filesystem (F2FS)
License:        GPLv2+ and LGPLv2+
Group:          System/Kernel and hardware
Url:            https://sourceforge.net/projects/f2fs-tools/
Source:         https://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/snapshot/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  xz
BuildRequires:  pkgconfig(blkid)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  acl-devel

Requires:       %{libformat} = %{version}-%{release}

%description
Utilities needed to create and maintain F2 filesystems.

%package -n     %{libname}
Summary:        Libraries for the Flash-friendly Filesystem (F2FS)
Group:          System/Libraries

%description -n %{libname}
Libraries for utils to maintain F2 filesystems.

%package -n %{libformat}
Summary:        Format library for the Flash-Friendly Filesystem (F2FS)
Group:          System/Libraries

%description -n %{libformat}
Format library for utils to maintain F2 filesystems.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libformat} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       f2fs-devel = %{version}-%{release}

%description -n %{devname}
This package contains the libraries needed to develop applications
that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
if [ ! -e configure ]; then
	autoreconf -fi
fi
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

install -m 644 mkfs/f2fs_format_utils.h %{buildroot}%{_includedir}

%files
%doc AUTHORS
%license COPYING
%{_sbindir}/f2fs_io
%{_sbindir}/f2fslabel
%{_sbindir}/f2fscrypt
%{_sbindir}/defrag.f2fs
%{_sbindir}/dump.f2fs
%{_sbindir}/f2fstat
%{_sbindir}/fibmap.f2fs
%{_sbindir}/fsck.f2fs
%{_sbindir}/mkfs.f2fs
%{_sbindir}/parse.f2fs
%{_sbindir}/resize.f2fs
%{_sbindir}/sload.f2fs
%{_sbindir}/sg_write_buffer
%{_mandir}/man8/*.8.*

%files -n %libname
%{_libdir}/libf2fs.so.%{major}{,.*}

%files -n %{libformat}
%{_libdir}/libf2fs_format.so.%{format_major}{,.*}

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/*.so


%changelog
* Sun Jan 08 2023 daviddavid <daviddavid> 1.15.0-1.mga9
+ Revision: 1931590
- new version: 1.15.0
- library major is now 9
- library format major is now 8

* Tue Mar 29 2022 umeabot <umeabot> 1.14.0-2.mga9
+ Revision: 1833520
- Mageia 9 Mass Rebuild

* Thu Nov 19 2020 daviddavid <daviddavid> 1.14.0-1.mga8
+ Revision: 1647618
- new version: 1.14.0
- now libmajor is 8
- now f2fs_format major is 7

* Thu May 28 2020 daviddavid <daviddavid> 1.13.0-1.mga8
+ Revision: 1588321
- new version: 1.13.0
- now libmajor is 7
- now f2fs_format major is 6

* Fri Feb 14 2020 umeabot <umeabot> 1.12.0-2.mga8
+ Revision: 1521964
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 05 2019 daviddavid <daviddavid> 1.12.0-1.mga7
+ Revision: 1349399
- new version: 1.12.0
- now libmajor is 6
- now libformatmajor is 5

* Mon Sep 24 2018 daviddavid <daviddavid> 1.11.0-1.mga7
+ Revision: 1303253
- new version: 1.11.0
- now libmajor is 5
- update URL and Source URL

* Mon Sep 24 2018 daviddavid <daviddavid> 1.4.0-3.mga7
+ Revision: 1303164
- add patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.4.0-2.mga6
+ Revision: 951355
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 tmb <tmb> 1.4.0-1.mga5
+ Revision: 805505
- libify
- spec cleanup
- import from OpenSuSE


* Tue Sep 23 2014 jengelh@inai.de
- Replace 0001-build-provide-definitions-for-byteswapping-on-big-en.patch
  with official upstream version.
* Fri Sep 19 2014 jengelh@inai.de
- Update to new upstream release 1.4.0
  * fsck: add the -a option (auto-fix errors) [bnc#856645]
  * fsck: remove corrupted xattr blocks and corrupted orphan inodes;
  remove dentry if inode block is corrupted
- Add 0001-build-provide-definitions-for-byteswapping-on-big-en.patch
* Fri Jul 18 2014 jengelh@inai.de
- Update to new snapshot 1.3.0.g22
  * add "f2fstat" program to print f2fs's status in sec
  * mkfs: support large directories
  * mkfs.f2fs, fsck.f2fs: large volume support
* Sun Nov 24 2013 jengelh@inai.de
- Update to new upstream release 1.2.0
  * f2fs-tools: add stat information into fibmap
  * fibmap.f2fs: change fibmap to fibmap.f2fs
  * fsck, lib: support inline xattr
  * fsck: skip to check block addresses in device files
  * fsck: fix to handle file types correctly
  * fsck: fix checking orphan inodes
* Wed Aug  7 2013 jengelh@inai.de
- Update to new snapshot v1.1.0-40-g6e8f2d5
  * Correct endianess conversions for CRC calculations, checkpoint
  flags and in f2fs_update_nat_root.
  * Fix the total_zones calculation in f2fs_prepare_super_block
  * Add the fsck.f2fs and dump.f2fs utilities
* Mon Jun 10 2013 jengelh@inai.de
- Update to new snapshot v1.1.0-24-gfef98eb
  * mkfs: add option to disable trim at format
  * mkfs: handle labels longer than 16 characters
* Mon Jan 21 2013 jengelh@inai.de
- Add COPYING file to package
* Wed Dec 12 2012 jengelh@inai.de
- Initial package (version v1.1.0-11-gc7e0a01) for build.opensuse.org
